/*==============================================================================


       eg_7 - Font Selection Dialog Example

              Copyright  2001 Pankhurst Algorithmics - All Rights Reserved
              visit www.ebmDevMag.com for permissions/restrictions on use


==============================================================================*/
#include "gui.h"
#include "ebm_object.h"

extern "C"
{
#include "ereader_hostio.h"
}
#include "eg_7_form.h"
#include "dlg_font.h"
/*==============================================================================

       main window - just button checker

==============================================================================*/
S32 CWindow1::MsgHandler( MSG_TYPE type, CViewable *from, S32 data )
{
  if ( MSG_BUTTON_SELECT==type && CWindow1_BUTTON_PICK_FONT==from->GetID() )
  {
    const FONT *font=PopUp_FontSelect();
    if (NULL==font)
      GUI_Alert(ALERT_WARNING,"You didn't chose anything!");
    else
      SetFont(font);
    return 1;
  }
  return CWindow::MsgHandler(type, from, data);
}
/*==============================================================================


==============================================================================*/
static CWindow1 *f_mainWindow;

//------------------------------------------------------------------------------
S32 GUI_main( MSG_TYPE type, CViewable *object, S32 data )
{
  switch (type)
  {
    case MSG_APP_START:
      if (OS_is_present && hostIO_am_I_the_current_task())
        HOSTIO_INLINE_BREAKPOINT();
      f_mainWindow = new CWindow1();
      return 1;
    case MSG_APP_STOP: // prog exit & cleanup
      delete f_mainWindow;
      return 1;
    default:
      break;
  }
  return 0;
};
//------------------------------------------------------------------------------


